@using Newtonsoft.Json
@using System.Net
@inject Blazored.LocalStorage.ILocalStorageService localStorage
@inject HttpClient Http
@inject NavigationManager NavManager
@inject IMatToaster Toaster
@page "/register"

<h1>Register</h1>
@if (bLoading)
{
    <Spin Size="large"/>
}
else
{
    <p>
        Fill out the following to register a FIO account.  Your UserName is identical to your game UserName.<br/>
        It is <i>strongly</i> suggested that you use a unique password or password manager.<br/>
        <b>DO NOT</b> use the same password here that you do for APEX.
    </p>
    <div>
        <MatTextField @bind-Value="@UserName" Label="UserName" ReadOnly="true"/>
        <br/>
        <br/>
        <MatTextField @bind-Value="@Password1" Label="Password" Required="true" Type="password"/>
        <br/>
        <MatTextField @bind-Value="@Password2" Label="Confirm" Required="true" Type="password"/>
        <br/>
        <MatButton Raised="true" Class="mdc-toast-info" OnClick="@CreateAccount">Create Account</MatButton>
    </div>
}
